#!/bin/sh -efu

. install2-init-functions

readlink -q "$destdir/sbin/init" | grep -qs '/systemd$' || exit 0

echo 'FEATURES+=systemd' >> $destdir/etc/initrd.mk
echo 'MODULES_PRELOAD+=autofs4' >> $destdir/etc/initrd.mk

# deceive chkconfig
mount none $destdir/sys/fs/cgroup/ -t tmpfs
mkdir $destdir/sys/fs/cgroup/systemd
mount none $destdir/sys/fs/cgroup/systemd -t tmpfs
mkdir -p $destdir/run/systemd/system
